package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.SysUserTsignDao;
import com.ym.mec.biz.dal.entity.SysUserTsign;
import com.ym.mec.biz.service.SysUserTsignService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class SysUserTsignServiceImpl extends BaseServiceImpl<Integer, SysUserTsign>  implements SysUserTsignService {
	
	@Autowired
	private SysUserTsignDao sysUserTsignDao;

	@Override
	public BaseDAO<Integer, SysUserTsign> getDAO() {
		return sysUserTsignDao;
	}

	@Override
	public SysUserTsign queryByCardNo(String cardNo) {
		return sysUserTsignDao.queryByCardNo(cardNo);
	}
	
}